<?php
session_start();
include 'config.php';

if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}
?>

<!DOCTYPE html>
<html dir="rtl">
<head>
    <title>إنشاء عرض سعر</title>
    <style>
        .quotation-form {
            max-width: 800px;
            margin: 20px auto;
            padding: 20px;
            background: white;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0,0,0,0.1);
        }
        .form-group {
            margin-bottom: 15px;
        }
        .terms {
            margin: 15px 0;
            padding: 10px;
            background: #f9f9f9;
            border-radius: 4px;
        }
    </style>
</head>
<body>
    <div class="quotation-form">
        <div class="company-logo">
            <img src="logo.png" alt="شعار الشركة" style="max-width: 200px;">
        </div>
        
        <form method="POST" action="save_quotation.php">
            <div class="form-group">
                <h3>بيانات العميل</h3>
                <input type="text" name="customer_name" placeholder="اسم العميل" required>
                <input type="text" name="customer_address" placeholder="العنوان">
                <input type="tel" name="customer_phone" placeholder="رقم الهاتف">
            </div>
            
            <div class="form-group">
                <h3>تفاصيل العرض</h3>
                <textarea name="description" placeholder="وصف المنتجات والخدمات" required></textarea>
            </div>
            
            <div class="terms">
                <h3>شروط وأحكام</h3>
                <input type="number" name="validity" placeholder="مدة صلاحية العرض (بالأيام)" required>
                <textarea name="payment_terms" placeholder="شروط الدفع"></textarea>
                <textarea name="delivery_terms" placeholder="شروط التسليم"></textarea>
            </div>
            
            <button type="submit">حفظ العرض</button>
            <button type="button" onclick="window.print()">طباعة</button>
        </form>
    </div>
</body>
</html>